Subject: [Dime] Closing issues (was Re: [dime] #32: Sequence-Number Time-Stamp values within OC-OLR)

From: Steve Donovan <[email-masked]>
Date: Sat, 01 Mar 2014 17:22:06 -0600

Jouni,

The reason I suggested the wording on when to close an issue is that a
number of the resolutions are still based on concepts and not on final
wording.  We can either put the suggested final wording in the ticket or
in the -02 draft and let people review it for final agreement.

We can change the practice if the group wants, this just seemed the most
logical approach at the time.

Steve

On 2/28/14 9:43 AM, Jouni Korhonen wrote:
> First.. sorry for missing the continuum of the thread. My _bad_ mistake.
>
>
> On Feb 28, 2014, at 5:07 PM, "Wiehe, Ulrich (NSN - DE/Munich)" <[email-masked]> wrote:
>
>> Dear Jouni,
>> My understanding is that #32 is RESOLVED as follows:
>>
>> Agreed - Sequence-Number is of type Unsigned64.
> This is/was ok, since time did not really fit anymore what was concluded even earlier.
>  
>> Agreed - When generated, a new sequence number must be greater than the sequence number contained in the active overload report to which it applies (including over reboot of that node).
> Ok.
>
>> Note: this allows sequence numbers to start at 1 for the initial occurrence of an overload condition at a reporting node (where "initial occurrence means something like "moving from no overload to overload after a sufficiently long periode of no overload"). 
>> When received, a sequence number is used to detect outdates/replays/freshness.
>>
>> Sequence numbers of expired OLRs MUST NOT be remembered by reacting nodes.
> Ok.
>
>> Can be CLOSED when the next version of the draft correctly reflects this agreement.
> Different practises. In some groups we did close tickets once the proposed
> change & conclusion was documented in the issue tracker.
>
> One should still update the ticket to contain the conclusion even before
> closing it. There is a place for comments. Makes it much easier to track
> down the conclusions. (as seen here how easily one misses even a thread
> of mails..)
>
> - Jouni
>
>> Ulrich
>>
>>
>>
>>
>> -----Original Message-----
>> From: ext Jouni Korhonen [mailto:[email-masked]] 
>> Sent: Friday, February 28, 2014 3:01 PM
>> To: [email-masked] list; Wiehe, Ulrich (NSN - DE/Munich); [email-masked] Morand
>> Subject: Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>
>>
>> <as a chair>
>>
>> It seems we reached a conclusion here. So summarizing:
>>
>> o Document that the sequence number is:
>> - Globally/eternally unique.
>> - increase monotonically over time, including over a reboot.
>> o Write a non-normative recommendation/suggestion how to create
>>  sequence numbers fulfilling the above requirements (e.g. using
>>  NTP as one component).
>>
>> @Ulrich or Lionel could you update the above into the ticket
>> and close it?
>>
>>
>>
>> - JOuni
>>
>>
>> On Feb 14, 2014, at 11:28 PM, Ben Campbell <[email-masked]> wrote:
>>
>>> +1. It doesn't even have to be "suggested" in the since of a (non-normative) recommendation. It can merely be an example of an approach which meets the stated requirements.
>>>
>>> On Feb 13, 2014, at 6:25 AM, Steve Donovan <[email-masked]> wrote:
>>>
>>>> Jouni,
>>>>
>>>> The important thing is to define the properties.  There should be no harm in giving one suggested implementation.
>>>>
>>>> Steve
>>>>
>>>> On 2/11/14 4:42 PM, Jouni Korhonen wrote:
>>>>> If the NTP is only going to be guidance when building the globally
>>>>> and eternally unique sequence number, IMHO better not mention NTP
>>>>> then at all. Just include the required properties below. One less
>>>>> mandatory reference..
>>>>>
>>>>> - Jouni
>>>>>
>>>>>
>>>>> On Feb 11, 2014, at 11:59 PM, Maria Cruz Bartolome 
>>>>> <[email-masked]>
>>>>> wrote:
>>>>>
>>>>>
>>>>>> It sounds reasonable to me as well.
>>>>>> /MCruz
>>>>>>
>>>>>> From: DiME [
>>>>>> mailto:[email-masked]
>>>>>> ] On Behalf Of Steve Donovan
>>>>>> Sent: lunes, 10 de febrero de 2014 14:59
>>>>>> To: 
>>>>>> [email-masked]
>>>>>>
>>>>>> Subject: Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> +1
>>>>>> On 2/10/14 7:47 AM, 
>>>>>> [email-masked]
>>>>>> wrote:
>>>>>> I would add, maybe even before the format (NTP time based), that the real requirements for the sequence-number are:
>>>>>>
>>>>>> - Globally/eternally unique
>>>>>> - increase monotonically over time, including over a reboot (as remind by Steve) 
>>>>>>
>>>>>> The NTP time based type is just a guidance provided by the draft on how to generate sequence numbers with such properties.
>>>>>>
>>>>>> Lionel
>>>>>>
>>>>>> -----Message d'origine-----
>>>>>> De : DiME [
>>>>>> mailto:[email-masked]
>>>>>> ] De la part de Jouni Korhonen
>>>>>> Envoyé : samedi 8 février 2014 11:33
>>>>>> À : Wiehe, Ulrich (NSN - DE/Munich)
>>>>>> Cc : 
>>>>>> [email-masked]
>>>>>>
>>>>>> Objet : Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>>
>>>>>> Sounds acceptable. Would the following then work for all:
>>>>>>
>>>>>> o clarify that once the overload report expires there is no
>>>>>> reason to remember anything about it
>>>>>> o the sequence number would be similar to session-id.. based 
>>>>>> on the NTP time + any vendor specific data to make it 
>>>>>> "globally and eternally unique".
>>>>>>
>>>>>> - Jouni
>>>>>>
>>>>>>
>>>>>>
>>>>>> On Feb 7, 2014, at 1:00 PM, "Wiehe, Ulrich (NSN - DE/Munich)" 
>>>>>> <[email-masked]>
>>>>>> wrote:
>>>>>>
>>>>>> Steve,
>>>>>>
>>>>>> sounds like an acceptable proposal which allows to come back to sync after OLR expiry.
>>>>>> This requires however an update of clause 5.5.2 to clearly state
>>>>>> Once the overload report expires there is no reason to remember anything about it and the next overload report received could, conceivably have any value. 
>>>>>>
>>>>>>
>>>>>> Ulrich
>>>>>>
>>>>>> From: DiME [
>>>>>> mailto:[email-masked]
>>>>>> ] On Behalf Of ext Steve Donovan
>>>>>> Sent: Thursday, February 06, 2014 4:50 PM
>>>>>> To: 
>>>>>> [email-masked]
>>>>>>
>>>>>> Subject: Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> A couple of things - 
>>>>>>
>>>>>> The requirement is that the sequence number increase monotonically over time, including over a reboot.  Use of NTP time is one way of doing this but is not the only way.  Someone could, for instance, use a time stamp to set the sequence number for the first overload report sent after a reboot and then increment the sequence number value by one for each subsequent overload report sent.  This actually has better properties than an NTP time stamp as it would take much longer to roll over.  One could also create a global sequence number service that is not tied to time and have a Diameter server query that global sequence number server after each reboot.
>>>>>>
>>>>>> We also have a duration timer on overload reports.  This gives us one way to reset.  It should only be required to remember the sequence number of an active overload report.  Once the overload report expires there is no reason to remember anything about it and the next overload report received could, conceivably have any value. 
>>>>>>
>>>>>> The requirement we need is similar to the session-id in the base Diameter specification.  The wording there is -- "The Session-Id MUST be globally and eternally unique".  We just need eternally as the spacial differentiation is based on the context of the message carrying the overload report.
>>>>>>
>>>>>> It would be perfectly valid for the DOIC draft to suggest the use of NTP timestamps to populate the sequence number but it should be worded in a similar fashion as the Diameter base RFC -- The Session-Id includes a mandatory portion and an implementation-defined portion; a recommended format for the implementation-defined portion is outlined below ..."
>>>>>>
>>>>>> Steve
>>>>>>
>>>>>> On 2/6/14 7:12 AM, Wiehe, Ulrich (NSN - DE/Munich) wrote:
>>>>>> I cannot understand what is the problem with mandating timestamp.
>>>>>> But I can see interoperability problems with the current definition:
>>>>>>
>>>>>> Assume the sender sends sequence numbers
>>>>>> 1, 1, ... 1, 2, 2, ... 2, 3, 3, 3,  ... 3, 4, 4, ... 4, 5,.... 
>>>>>> but the receicer for any reason receives 
>>>>>> 1, 1, ... 1, 2, 2, ... 2, 3, 30000, 3,  ... 3, 4, 4, ... 4, 5,.... 
>>>>>> The receiver would accept
>>>>>> 1, 1, ... 1, 2, 2, ... 2, 3, 30000
>>>>>> and then silently discards
>>>>>> 3,  ... 3, 4, 4, ... 4, 5,....  4, 5, .... 
>>>>>> with no way to come back to sync.
>>>>>>
>>>>>> Are we sure that this cannot happen?
>>>>>>
>>>>>> Mandating timestamp for sequence number generation at the sender and plausibility checking (i.e. received value must be between stored value and time of reception) for the receiver may not be the only way to solve the problem. But in the moment I don't see another way.
>>>>>>
>>>>>> Ulrich
>>>>>>
>>>>>>
>>>>>> -----Original Message-----
>>>>>> From: DiME [
>>>>>> mailto:[email-masked]
>>>>>> ] On Behalf Of ext Ben Campbell
>>>>>> Sent: Wednesday, February 05, 2014 4:57 PM
>>>>>> To: ext 
>>>>>> [email-masked]
>>>>>>
>>>>>> Cc: 
>>>>>> [email-masked]
>>>>>>
>>>>>> Subject: Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> My point is, we have an interop requirement that the sequence number always increases over time scope. We do not have the interop requirement that the sequence number be implemented as a time stamp. A time stamp is probably a good way to  meet the interop requirements, but it is not, in itself, an interop requirement.
>>>>>>
>>>>>> On Feb 5, 2014, at 9:53 AM, 
>>>>>> <[email-masked]> <[email-masked]>
>>>>>> wrote:
>>>>>>
>>>>>> Not sure to understand: if there is a kind of "interop requirement", it is a case for a "MUST".
>>>>>> We are not violating anything.
>>>>>>
>>>>>> Reporting and reacting nodes will just rely on the Diameter interfaces to know how to handle the received sequence-number. So any MUST on the format of the sequence-number is acceptable if it avoids interop issues.
>>>>>>
>>>>>> -----Message d'origine-----
>>>>>> De : Ben Campbell [
>>>>>> mailto:[email-masked]
>>>>>> ] 
>>>>>> Envoyé : mercredi 5 février 2014 16:47
>>>>>> À : MORAND Lionel IMT/OLN
>>>>>> Cc : Steve Donovan; 
>>>>>> [email-masked]
>>>>>>
>>>>>> Objet : Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> I concur with Steve on this one. Using a time stamp is a good way to meet the requirements, but it's not our job to normatively state an implementation. In fact, it violates an RFC 2119 "MUST" level requirement to do so. Section 6 of 2119 includes the following:
>>>>>>
>>>>>> "In particular, [normative requirements] MUST only be used where it is
>>>>>> actually required for interoperation or to limit behavior which has
>>>>>> potential for causing harm (e.g., limiting retransmisssions)  "
>>>>>>
>>>>>> The only appropriate reason to require a timestamp would be if we expected peers to interpret the field as a point in time. OTOH, it would be perfectly reasonable to state the actual interop requirements, then add a non-normative (probably indented) paragraph suggesting that a timestamp is a good way to do this.
>>>>>>
>>>>>> On Feb 5, 2014, at 9:37 AM, 
>>>>>> [email-masked]
>>>>>> wrote:
>>>>>>
>>>>>> I think the out-of-sync failover described by Ulrich is a good use case to mandate a specific semantic.
>>>>>>
>>>>>> Is there any specific NOT to mandate the use of NTP timestamps if it is a simple way to solve the possible issues and please everyone?
>>>>>>
>>>>>> Lionel
>>>>>>
>>>>>> De : DiME [
>>>>>> mailto:[email-masked]
>>>>>> ] De la part de Steve Donovan
>>>>>> Envoyé : mercredi 5 février 2014 15:34
>>>>>> À : 
>>>>>> [email-masked]
>>>>>>
>>>>>> Objet : Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> How the sequence number is implemented is an implementation decision.  There is no reason to mandate that is be an NTP timestamp.  That should be included only as one way of addressing the requirement.
>>>>>>
>>>>>> Steve
>>>>>>
>>>>>> On 2/4/14 10:27 PM, Nirav Salot (nsalot) wrote:
>>>>>> I also agree.
>>>>>>
>>>>>> Regards,
>>>>>> Nirav.
>>>>>>
>>>>>> -----Original Message-----
>>>>>> From: DiME [
>>>>>> mailto:[email-masked]] On Behalf Of [email-masked]
>>>>>>
>>>>>> Sent: Tuesday, February 04, 2014 11:50 PM
>>>>>> To: 
>>>>>> [email-masked]
>>>>>>
>>>>>> Subject: Re: [Dime] [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> The existing wording seems actually fuzzy.
>>>>>> If it is "like an NTP timestamp", be proud and say it loud!
>>>>>>
>>>>>> In summary: ok with the proposal if it clarifies this handling of this sequence-number.
>>>>>>
>>>>>> Lionel
>>>>>>
>>>>>> -----Message d'origine-----
>>>>>> De : dime issue tracker [
>>>>>> mailto:[email-masked]
>>>>>> ]
>>>>>> Envoyé : mardi 4 février 2014 09:50
>>>>>> À : MORAND Lionel IMT/OLN
>>>>>> Cc : 
>>>>>> [email-masked]
>>>>>>
>>>>>> Objet : [dime] #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> #32: Sequence-Number Time-Stamp values within OC-OLR
>>>>>>
>>>>>> The -01 draft says in clause 4.4:
>>>>>>  From the functionality point of view, the OC-Sequence-Number AVP MUST
>>>>>>  be used as a non-volatile increasing counter between two overload
>>>>>>  control endpoints (neglecting the fact that the contents of the AVP
>>>>>>  is a 64-bit NTP timestamp [RFC5905]).  The sequence number is only
>>>>>>  required to be unique between two overload control endpoints.
>>>>>>  Sequence numbers are treated in uni-directional manner, i.e. two
>>>>>>  sequence numbers on each direction between two endpoints are not
>>>>>>  related or correlated.
>>>>>>
>>>>>>  When generating sequence numbers, the new sequence number MUST be
>>>>>>  greater than any sequence number previously seen between two
>>>>>>  endpoints within a time window that tolerates the wraparound of the
>>>>>>  NTP timestamp (i.e. approximately 68 years).
>>>>>>
>>>>>>
>>>>>> With this mechanism it is difficult to get back to sync once you are out  of sync (for whatever reason).
>>>>>> It is proposed to mandate that the Sequence Number is a real 64-bit NTP  timestamp (RFC5905) indicating the point in time when the OLR was created,  and to mandate that  OLRs with a time stamp higher than time of reception  must be ignored by the reacting node.
>>>>>>
>>>>>>
>>>>>> _________________________________________________________________________________________________________________________
>>>>>>
>>>>>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>>>>>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>>>>>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>>>>>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>>>>>>
>>>>>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>>>>>> they should not be distributed, used or copied without authorisation.
>>>>>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>>>>>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>>>>>> Thank you.
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>>
>>>>>> _________________________________________________________________________________________________________________________
>>>>>>
>>>>>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>>>>>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>>>>>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>>>>>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>>>>>>
>>>>>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>>>>>> they should not be distributed, used or copied without authorisation.
>>>>>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>>>>>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>>>>>> Thank you.
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>> _________________________________________________________________________________________________________________________
>>>>>>
>>>>>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>>>>>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>>>>>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>>>>>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>>>>>>
>>>>>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>>>>>> they should not be distributed, used or copied without authorisation.
>>>>>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>>>>>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>>>>>> Thank you.
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>>
>>>>>>
>>>>>>
>>>>>> _______________________________________________
>>>>>> DiME mailing list
>>>>>>
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>> _______________________________________________
>>>>> DiME mailing list
>>>>>
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/dime
>>>>>
>>>>>
>>>>>
>>>> _______________________________________________
>>>> DiME mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/dime
>>> _______________________________________________
>>> DiME mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/dime
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
>

---

From: "dime issue tracker" <[email-masked]>
Date: Fri, 07 Mar 2014 16:06:17 -0000

Comment (by [email-masked]):

 Changed Section 4.3 Paragraph 3 from:

    The Sequence-Number AVP indicates the "freshness" of the OC-OLR AVP.
    It is possible to replay the same OC-OLR AVP multiple times between
    the overload control endpoints, however, when the OC-OLR AVP content
    changes or sending endpoint otherwise wants the receiving endpoint to
    update its overload control information, then the OC-Sequence-Number
    AVP MUST contain a new greater value than the previously received.
    The receiver SHOULD discard an OC-OLR AVP with a sequence number that
    is less than previously received one.

 To:

    The Sequence-Number AVP indicates the "freshness" of the OC-OLR AVP.

    It is possible to replay the same OC-OLR AVP multiple times between
    the overload control endpoints, however, when the OC-OLR AVP content
    changes or sending endpoint otherwise wants the receiving endpoint to
    update its overload control information, then the OC-Sequence-Number
    AVP MUST contain a new value that is greater than the value previously
 received.
    The receiver SHOULD discard an OC-OLR AVP with a sequence number that
    is less than or equal to the previously received OC-OLR AVP.

-- 
--------------------------------------+---------------------------
 Reporter:  [email-masked]  |       Owner:  Ulrich Wiehe
     Type:  defect                    |      Status:  closed
 Priority:  major                     |   Milestone:
Component:  draft-docdt-dime-ovli     |     Version:
 Severity:  Active WG Document        |  Resolution:  fixed
 Keywords:                            |
--------------------------------------+---------------------------

Ticket URL: <http://tools.ietf.org/wg/dime/trac/ticket/32#comment:2>
dime <http://tools.ietf.org/wg/dime/>

---

From: "dime issue tracker" <[email-masked]>
Date: Fri, 07 Mar 2014 16:32:55 -0000

Further updated to change "previously recieved" to "currently active
 overload report".

 The new text is as follows:

 It is possible to replay the same OC-OLR AVP multiple times between the
 overload control endpoints, however, when the OC-OLR AVP content changes
 or the
 sending endpoint otherwise wants the receiving endpoint to update
 its overload control information in an active overload report,
 then the OC-Sequence-Number AVP MUST contain
 a new value which is greater than the last value received for that
 overload report.
 The receiver SHOULD discard an OC-OLR AVP with a sequence number that is
 less than or equal to any currently active overload report previously
 received from the reporting node.

Ticket URL: <http://tools.ietf.org/wg/dime/trac/ticket/32#comment:3>
dime <http://tools.ietf.org/wg/dime/>

---

From: Steve Donovan <[email-masked]>
Date: Fri, 07 Mar 2014 16:44:09 +0000

All,

One note on these changes to the draft based on issue #32.  This issue
was closed without proposing alternative text, so I have taken the
liberty of proposing the text included in these messages.

If I have missed the mark on this wording please re-open the ticket.

I believe there is no proposed text in this one because the guidance to
include proposed text happened after this ticket was closed.

Regards,

Steve

---

From: Maria Cruz Bartolome <[email-masked]>
Date: Fri, 7 Mar 2014 17:16:56 +0000

Fine for me

From: DiME [mailto:[email-masked]] On Behalf Of Steve Donovan
Sent: viernes, 07 de marzo de 2014 17:44
To: [email-masked]; [email-masked]
Subject: Re: [Dime] [dime] #32 (draft-docdt-dime-ovli): Sequence-Number Time-Stamp values within OC-OLR

All,

One note on these changes to the draft based on issue #32.  This issue was closed without proposing alternative text, so I have taken the liberty of proposing the text included in these messages.

I believe there is no proposed text in this one because the guidance to include proposed text happened after this ticket was closed.

Regards,

Steve

Comment (by [email-masked]<mailto:[email-masked]>):

 overload report".

 or the

 overload report.